---@meta

---@class UWG_WinchBar_Rope_C : UUserWidget
---@field WG_WinchBar_Rope_Slider UWG_WinchBar_Rope_Slider_C
---@field LockIcon UImage
---@field Arrow_02 UImage
---@field Arrow_01 UImage
---@field Arrow_00 UImage
---@field Vehicle ABP_VehicleBase_C
---@field Winch ARGWinch
---@field FrontWinch boolean
---@field Forward boolean
local UWG_WinchBar_Rope_C = {}

---@param Visible boolean
---@param Forward boolean
function UWG_WinchBar_Rope_C:UpdateDirectionArrows(Visible, Forward) end
---@param DeltaTime double
function UWG_WinchBar_Rope_C:UpdateRopeStatus(DeltaTime) end
---@param Vehicle ABP_VehicleBase_C
function UWG_WinchBar_Rope_C:SetupWinchBarRope(Vehicle) end


